## qubes-utils 4.2.19%2Bjammy1

=== qrexec-lib/Makefile ===
CC=gcc
CFLAGS += -I. -g -O2 -Wall -Wextra -Werror -pie -fPIC -Wmissing-declarations -Wmissing-prototypes
SO_VER=2
LDFLAGS+=-Wl,--no-undefined,--as-needed,-Bsymbolic -L .
.PHONY: all clean install check
objs := ioall.o copy-file.o crc32.o unpack.o pack.o

pure_lib := libqubes-pure.so
pure_sover := 0
pure_objs := unicode.o qube-name.o

all: libqubes-rpc-filecopy.so.$(SO_VER) $(pure_lib).$(pure_sover)
libqubes-rpc-filecopy.so.$(SO_VER): $(objs) ./$(pure_lib).$(pure_sover)
	$(CC) -shared $(LDFLAGS) -Wl,-soname,$@ -o $@ $^
validator-test: validator-test.o ./$(pure_lib).$(pure_sover)
	libs=$$(pkg-config --libs icu-uc) && $(CC) '-Wl,-rpath,$$ORIGIN' $(LDFLAGS) -o $@ $^ $$libs
$(pure_objs): CFLAGS += -fvisibility=hidden -DQUBES_PURE_IMPLEMENTATION
ifeq ($(CHECK_UNREACHABLE),1)
$(pure_objs): CFLAGS += -DCHECK_UNREACHABLE
endif
validator-test: CFLAGS += -UNDEBUG
check: validator-test
	LD_LIBRARY_PATH=. ./validator-test

$(pure_lib).$(pure_sover): $(pure_objs)
	$(CC) -shared $(LDFLAGS) -Wl,-Bsymbolic,-soname,$@ -o $@ $^
$(pure_lib):
	ln -s $(pure_lib).$(pure_sover) $(pure_lib)
unicode-generator: unicode-generator.o
	libs=$$(pkg-config --libs icu-uc) && $(CC) $(LDFLAGS) -o $@ $^ $$libs
%.o: %.c Makefile
	$(CC) $(CFLAGS) -MD -MP -MF $@.dep -c -o $@ $<

unicode.o: unicode-allowlist-table.c
unicode.o: CFLAGS += $(shell pkg-config --cflags icu-uc)
ifeq ($(NO_REBUILD_TABLE),)
unicode-allowlist-table.c: unicode-generator
	./unicode-generator > $@.tmp
	mv -- $@.tmp $@
else ifneq ($(NO_REBUILD_TABLE),1)
$(error NO_REBUILD_TABLE should be empty or 1)
endif
check-table-up-to-date: unicode-generator unicode-allowlist-table.c
ifneq ($(NO_REBUILD_TABLE),1)
	$(error check-table-up-to-date without NO_REBUILD_TABLE=1 makes no sense)
endif
	/bin/bash -euc 'set -o pipefail; ./unicode-generator | diff -u ./unicode-allowlist-table.c -'
.PHONY: check-table-up-to-date

%.a: $(objs)
	$(AR) rcs $@ $^
clean:
	rm -f ./*.o ./*~ ./*.a ./*.so.* ./*.dep unicode-allowlist-table.c.tmp

install:
	mkdir -p $(DESTDIR)$(LIBDIR)
	install libqubes-rpc-filecopy.so.$(SO_VER) $(DESTDIR)$(LIBDIR)
	ln -sf libqubes-rpc-filecopy.so.$(SO_VER) $(DESTDIR)$(LIBDIR)/libqubes-rpc-filecopy.so
	install $(pure_lib).$(pure_sover) $(DESTDIR)$(LIBDIR)
	ln -sf $(pure_lib).$(pure_sover) $(DESTDIR)$(LIBDIR)/$(pure_lib)
	mkdir -p $(DESTDIR)$(INCLUDEDIR)/qubes
	cp libqubes-rpc-filecopy.h $(DESTDIR)$(INCLUDEDIR)
	cp pure.h $(DESTDIR)$(INCLUDEDIR)/qubes
-include ./*.o.dep

=== debian/changelog ===
qubes-utils (4.2.19+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 25 Dec 2024 05:13:08 +0100

## qubes-utils 4.2.20%2Bjammy1

=== debian/changelog ===
qubes-utils (4.2.20+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 06 Jun 2025 02:09:27 +0200

qubes-utils (4.2.20) unstable; urgency=medium

  * Force C17 standard in qrexec-lib/validator-test.c
  * Fix installing files with unified sbin
  * Move meminfo-writer to /usr/bin
  * ci: drop R4.1
  * rpm: use %_sbindir macro consistently

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 06 Jun 2025 02:09:27 +0200

## qubes-utils 4.2.20%2Bnoble1

=== debian/changelog ===
qubes-utils (4.2.20+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 06 Jun 2025 02:09:27 +0200

## qubes-utils 4.3.0%2Bjammy1

=== qrexec-lib/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CC=gcc
-CFLAGS += -I. -g -O2 -Wall -Wextra -Werror -pie -fPIC -Wmissing-declarations -Wmissing-prototypes
+CFLAGS := $(CFLAGS) -I. -g3 -O2 -Wall -Wextra -Werror -pie -fPIC
 SO_VER=2
 LDFLAGS+=-Wl,--no-undefined,--as-needed,-Bsymbolic -L .
 .PHONY: all clean install check
@@ -15,9 +15,6 @@
 validator-test: validator-test.o ./$(pure_lib).$(pure_sover)
 	libs=$$(pkg-config --libs icu-uc) && $(CC) '-Wl,-rpath,$$ORIGIN' $(LDFLAGS) -o $@ $^ $$libs
 $(pure_objs): CFLAGS += -fvisibility=hidden -DQUBES_PURE_IMPLEMENTATION
-ifeq ($(CHECK_UNREACHABLE),1)
-$(pure_objs): CFLAGS += -DCHECK_UNREACHABLE
-endif
 validator-test: CFLAGS += -UNDEBUG
 check: validator-test
 	LD_LIBRARY_PATH=. ./validator-test

=== debian/changelog ===
qubes-utils (4.3.0+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 15 Jun 2024 19:38:29 +0200

qubes-utils (4.3.0) unstable; urgency=medium

  [ Piotr Bartman ]
  * q-dev: add data to qubesdb needed by new API

  [ Marek Marczykowski-Górecki ]
  * ci: update tags

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 15 Jun 2024 19:38:29 +0200

## qubes-utils 4.3.3%2Bjammy1

=== debian/changelog ===
qubes-utils (4.3.3+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 05 Jul 2024 17:31:25 +0200

qubes-utils (4.3.3) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Do not redefine compiler flags that are up to build env to define

  [ Demi Marie Obenour ]
  * Do not use path containing "/" in linkat() or stat()
  * Do not use fchmodat() because it follows symlinks

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 05 Jul 2024 17:31:25 +0200

qubes-utils (4.3.2) unstable; urgency=medium

  * debian: bump required versions for libs

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 17 Jun 2024 04:38:28 +0200

qubes-utils (4.3.1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Document algorithm used to sanitize paths
  * Allow symlinks ending in ".."
  * Test that symbolic links can end in '/'
  * Move path validation tests before charset tests
  * Document the pretty-printer in the code generator
  * Avoid casting away const when not needed
  * Fix -Wmissing-declarations and -Wmissing-prototypes warnings
  * Avoid redundantly validating symbolic link names
  * Better error message for forbidden symbolic links
  * Allow disabling character set filtering
  * Improve symlink tests
  * Use for loop instead of do-while
  * Add flag to allow non-canonical symbolic links
  * Allow disabling symbolic link checking
  * Don't allow trailing slashes in paths being unpacked

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 17 Jun 2024 04:33:01 +0200

## qubes-utils 4.3.4%2Bjammy1

=== debian/changelog ===
qubes-utils (4.3.4+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 24 Aug 2024 02:41:12 +0200

qubes-utils (4.3.4) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Add qubes version to boot menu

  [ Marek Marczykowski-Górecki ]
  * tests: assertEquals -> assertEqual

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 24 Aug 2024 02:41:12 +0200

## qubes-utils 4.3.5%2Bjammy1

=== debian/changelog ===
qubes-utils (4.3.5+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 06 Nov 2024 01:08:19 +0100

qubes-utils (4.3.5) unstable; urgency=medium

  [ Rusty Bird ]
  * qubes-block: disable direct I/O for now

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 06 Nov 2024 01:08:19 +0100

## qubes-utils 4.3.6%2Bjammy1

=== debian/changelog ===
qubes-utils (4.3.6+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sun, 08 Dec 2024 05:39:16 +0100

qubes-utils (4.3.6) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Add tool to adjust partition tables when sector size changes
  * Fix up the GPT in the initramfs
  * Add test case

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 08 Dec 2024 05:39:16 +0100

## qubes-utils 4.3.6%2Bnoble1

=== debian/changelog ===
qubes-utils (4.3.6+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sun, 08 Dec 2024 05:39:16 +0100

## qubes-utils 4.3.7%2Bjammy1

=== debian/changelog ===
qubes-utils (4.3.7+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 25 Dec 2024 05:11:06 +0100

qubes-utils (4.3.7) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * rpm: adjust SELinux snippets for relabeling

  [ Demi Marie Obenour ]
  * Ensure that qubesdb SELinux labels are correct on Fedora 41

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 25 Dec 2024 05:11:06 +0100

## qubes-utils 4.3.7%2Bnoble1

=== debian/changelog ===
qubes-utils (4.3.7+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Wed, 25 Dec 2024 05:11:06 +0100

## qubes-utils 4.3.8%2Bjammy1

=== debian/changelog ===
qubes-utils (4.3.8+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 26 Feb 2025 22:51:46 +0100

qubes-utils (4.3.8) unstable; urgency=medium

  * Force C17 standard in qrexec-lib/validator-test.c
  * Fix installing files with unified sbin
  * ci: switch to R4.3
  * gptfixer test: ignore irrelevant message from sfdisk

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 26 Feb 2025 22:51:46 +0100

## qubes-utils 4.3.8%2Bnoble1

=== debian/changelog ===
qubes-utils (4.3.8+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Wed, 26 Feb 2025 22:51:46 +0100

## qubes-utils 4.3.9%2Bjammy1

=== debian/changelog ===
qubes-utils (4.3.9+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 03 Mar 2025 05:07:15 +0100

qubes-utils (4.3.9) unstable; urgency=medium

  * Move meminfo-writer to /usr/bin

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 03 Mar 2025 05:07:15 +0100

## qubes-utils 4.3.10%2Bjammy1

=== debian/changelog ===
qubes-utils (4.3.10+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 30 May 2025 04:41:46 +0200

qubes-utils (4.3.10) unstable; urgency=medium

  [ Saswat Padhi ]
  * Add gptfix and swapon to Arch Linux initramfs
  * Fix the order of mkinitcpio hooks

  [ Marek Marczykowski-Górecki ]
  * rpm: allow BR: systemd-mini on openSUSE
  * rpm: relax regex in %files
  * archlinux: include scrub_pages initrd hook
  * archlinux/initcpio: add required modules directly

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 30 May 2025 04:41:46 +0200

## qubes-utils 4.3.10%2Bnoble1

=== debian/changelog ===
qubes-utils (4.3.10+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 30 May 2025 04:41:46 +0200

## qubes-utils 4.3.11%2Bnoble1

=== debian/changelog ===
qubes-utils (4.3.11+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 20 Jun 2025 18:44:59 +0200

qubes-utils (4.3.11) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Replace `numpy.fromstring` with `numpy.frombuffer`

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 20 Jun 2025 18:44:59 +0200

## qubes-utils 4.3.12%2Bjammy1

=== debian/changelog ===
qubes-utils (4.3.12+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 19 Sep 2025 03:27:08 +0200

qubes-utils (4.3.12) unstable; urgency=medium

  [ 3np ]
  * arch: fix SPDX license
  * fix(arch): create qubes group if missing on preinstall

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 19 Sep 2025 03:27:08 +0200

## qubes-utils 4.3.12%2Bnoble1

=== debian/changelog ===
qubes-utils (4.3.12+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 19 Sep 2025 03:27:08 +0200

## qubes-utils 4.3.12+deb12u1

=== debian/changelog ===
qubes-utils (4.3.12+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 19 Sep 2025 03:27:08 +0200

## qubes-utils 4.3.13%2Bjammy1

=== debian/changelog ===
qubes-utils (4.3.13+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 11 Oct 2025 05:49:49 +0200

qubes-utils (4.3.13) unstable; urgency=medium

  [ Marcus Ofenhed ]
  * Added exceptions to qubes udev device export

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 11 Oct 2025 05:49:49 +0200

## qubes-utils 4.3.13%2Bnoble1

=== debian/changelog ===
qubes-utils (4.3.13+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sat, 11 Oct 2025 05:49:49 +0200

## qubes-utils 4.3.13+deb12u1

=== ci/requirements.txt ===
Pillow
numpy
coverage

=== dracut/Makefile ===
install:
	$(MAKE) -C simple
	$(MAKE) -C full-dmroot
	$(MAKE) -C full-modules
	$(MAKE) -C xen-balloon-scrub-pages

=== grub/Makefile ===
install-fedora:
	install -D -m 0644 grub.qubes-kernel-vm-support \
		$(DESTDIR)/etc/default/grub.qubes-kernel-vm-support

install-debian:
	install -D -m 0644 grub.qubes-kernel-vm-support \
		$(DESTDIR)/etc/default/grub.d/30-qubes-kernel-vm-support.cfg

=== imgconverter/Makefile ===
PYTHON ?= python3

all:
	$(PYTHON) setup.py build
.PHONY: all

clean:
	$(PYTHON) setup.py clean
.PHONY: clean

install:
	$(PYTHON) setup.py install -O1 $(PYTHON_PREFIX_ARG) --root $(DESTDIR)
#ifeq (1,${DEBIANBUILD})
#	cp *.py $(DESTDIR)/$(PYTHON_SITEARCH)/qubes/
#else
#	cp *.py* $(DESTDIR)/$(PYTHON_SITEARCH)/qubes/
#endif
.PHONY: install

=== initramfs-tools/Makefile ===
install:
	install -D local-top/qubes_cow_setup.sh \
		$(DESTDIR)/usr/share/initramfs-tools/scripts/local-top/qubes_cow_setup
	install -D local-top/scrub_pages.sh \
		$(DESTDIR)/usr/share/initramfs-tools/scripts/local-top/scrub_pages
	install -D qubes_vm \
		$(DESTDIR)/usr/share/initramfs-tools/hooks/qubes_vm
	install -m 0644 -D qubes.conf \
		$(DESTDIR)/usr/share/initramfs-tools/conf.d/qubes.conf

=== kernel-modules/Makefile ===
MAKEFLAGS ::= -rR
LDLIBS += $(shell pkg-config --libs ext2fs com_err)
CFLAGS += $(shell pkg-config --cflags ext2fs com_err) \
    -fstack-protector-all -O2 -fwrapv \
    -fno-delete-null-pointer-checks -fno-strict-aliasing -Wall -Wextra \
    -Werror=format-security -pedantic-errors -Wformat=2 -Wmaybe-uninitialized \
    -Wshadow -g3
SBINDIR ?= /usr/sbin

all: genfs

genfs: genfs.c
	gcc $(CFLAGS) genfs.c $(LDLIBS) -o $@

install: install-scripts install-genfs

install-scripts:
	install -d $(DESTDIR)$(SBINDIR)
	install qubes-prepare-vm-kernel $(DESTDIR)$(SBINDIR)

install-genfs:
	install -d $(DESTDIR)/usr/lib/qubes
	install genfs $(DESTDIR)/usr/lib/qubes/vm-modules-genfs

.PHONY: clean
clean:
	rm -f genfs

=== not-script/Makefile ===
CC=gcc
CFLAGS += -g -O2 -Wall -Wextra -Werror -fPIE -D_GNU_SOURCE -Wmaybe-uninitialized
.PHONY: clean install all
all: not-script

%: %.c Makefile
	 s=$$(pkg-config --cflags --libs xenstore) && $(CC) $(CFLAGS) -MD -MP -MF $@.dep -o $@ $< $$s

clean:
	rm -f ./*.o ./*~ ./*.a ./*.so.* ./*.dep not-script

install:
	install -d $(DESTDIR)/etc/xen/scripts
	install not-script $(DESTDIR)/etc/xen/scripts/qubes-block

-include ./*.o.dep

=== qmemman/Makefile ===
CC=gcc
CFLAGS+=-Wall -Wextra -Werror -g -O3
all:	meminfo-writer
BINDIR?=/usr/bin

_XENSTORE_H=$(shell ls /usr/include/xenstore.h)
ifneq "$(_XENSTORE_H)" ""
	CFLAGS+= -DUSE_XENSTORE_H
endif

meminfo-writer: meminfo-writer.o
	$(CC) $(LDFLAGS) -g -o meminfo-writer meminfo-writer.o -lxenstore
install:
	install -D meminfo-writer $(DESTDIR)/$(BINDIR)/meminfo-writer
ifeq (1,${DEBIANBUILD})
	install -d $(DESTDIR)/lib/systemd/system/
	install -m 0644 qubes-meminfo-writer.service $(DESTDIR)/lib/systemd/system/
else
	install -d $(DESTDIR)/usr/lib/systemd/system/
	install -m 0644 qubes-meminfo-writer*service $(DESTDIR)/usr/lib/systemd/system/
endif
clean:
	rm -f meminfo-writer xenstore-watch *.o

=== qrexec-lib/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CC=gcc
-CFLAGS := $(CFLAGS) -I. -g3 -O2 -Wall -Wextra -Werror -pie -fPIC
+CFLAGS += -I. -g -O2 -Wall -Wextra -Werror -pie -fPIC -Wmissing-declarations -Wmissing-prototypes
 SO_VER=2
 LDFLAGS+=-Wl,--no-undefined,--as-needed,-Bsymbolic -L .
 .PHONY: all clean install check
@@ -15,7 +15,10 @@
 validator-test: validator-test.o ./$(pure_lib).$(pure_sover)
 	libs=$$(pkg-config --libs icu-uc) && $(CC) '-Wl,-rpath,$$ORIGIN' $(LDFLAGS) -o $@ $^ $$libs
 $(pure_objs): CFLAGS += -fvisibility=hidden -DQUBES_PURE_IMPLEMENTATION
-validator-test: CFLAGS += -UNDEBUG
+ifeq ($(CHECK_UNREACHABLE),1)
+$(pure_objs): CFLAGS += -DCHECK_UNREACHABLE
+endif
+validator-test: CFLAGS += -UNDEBUG -std=gnu17
 check: validator-test
 	LD_LIBRARY_PATH=. ./validator-test

=== udev/Makefile ===
all:

install:
	mkdir -p $(DESTDIR)$(SYSLIBDIR)/udev/rules.d
	cp udev-qubes-block.rules $(DESTDIR)$(SYSLIBDIR)/udev/rules.d/99-qubes-block.rules
	cp udev-qubes-usb.rules $(DESTDIR)$(SYSLIBDIR)/udev/rules.d/99-qubes-usb.rules
	cp udev-qubes-misc.rules $(DESTDIR)$(SYSLIBDIR)/udev/rules.d/99-qubes-misc.rules
	cp udev-qubes-dmroot.rules $(DESTDIR)$(SYSLIBDIR)/udev/rules.d/90-qubes-dmroot.rules
	mkdir -p $(DESTDIR)$(SYSLIBDIR)/tmpfiles.d
	cp xen-devices-qubes.conf $(DESTDIR)$(SYSLIBDIR)/tmpfiles.d/xen-devices-qubes.conf

	mkdir -p $(DESTDIR)$(SCRIPTSDIR)
	cp udev-block-add-change $(DESTDIR)$(SCRIPTSDIR)
	cp udev-block-remove $(DESTDIR)$(SCRIPTSDIR)
	cp udev-usb-add-change $(DESTDIR)$(SCRIPTSDIR)
	cp udev-usb-remove $(DESTDIR)$(SCRIPTSDIR)

=== dracut/full-dmroot/Makefile ===
install:
	install -d $(DESTDIR)/usr/lib/dracut/modules.d/90qubes-vm
	install module-setup.sh qubes_cow_setup.sh \
		$(DESTDIR)/usr/lib/dracut/modules.d/90qubes-vm/

=== dracut/full-modules/Makefile ===
install:
	install -d $(DESTDIR)/usr/lib/dracut/modules.d/90qubes-vm-modules
	install module-setup.sh mount_modules.sh \
		$(DESTDIR)/usr/lib/dracut/modules.d/90qubes-vm-modules/

=== debian/changelog ===
qubes-utils (4.3.13+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sat, 11 Oct 2025 05:49:49 +0200

=== debian/control ===
Source: qubes-utils
Section: admin
Priority: extra
Maintainer: Davíð Steinn Geirsson <david@dsg.is>
Build-Depends:
 debhelper,
 libxen-dev,
 pkg-config,
 python3-setuptools,
 libicu-dev,
 libz-dev,
Standards-Version: 4.4.0.1
Homepage: https://www.qubes-os.org
Vcs-Git: https://github.com/QubesOS/qubes-linux-utils.git
Vcs-Browser: https://github.com/QubesOS/qubes-linux-utils

Package: qubes-utils
Architecture: any
Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
Conflicts: qubes-linux-utils
Breaks: qubes-core-agent (<< 3.1.4)
Recommends: python3
Description: Qubes Linux utilities
 This package includes the basic qubes utilities necessary for domU.

Package: qubes-kernel-vm-support
Architecture: any
Depends:
 busybox,
 initramfs-tools | dracut,
 grub2-common,
 ${misc:Depends}
Description: Qubes VM kernel and initramfs modules
 This package contains:
 1. mkinitramfs module required to setup Qubes VM root filesystem. This package
 is needed in VM only when the VM uses its own kernel (via pvgrub or so).
 Otherwise initrd is provided by dom0.

Package: libqubes-rpc-filecopy2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: qubes-utils (<< 3.1.4)
Replaces: qubes-utils (<< 3.1.4)
Description: Qubes file copy protocol library
 This library can be used for both sending files using qfile protocol and for
 receiving them.

Package: libqubes-rpc-filecopy-dev
Architecture: any
Section: libdevel
Depends: libqubes-rpc-filecopy2 (= ${binary:Version}), ${misc:Depends}
Breaks: qubes-utils (<< 3.1.4)
Replaces: qubes-utils (<< 3.1.4)
Description: Development headers for libqrexec-utils
 This package contains files required to compile Qubes file copy related
 utilities like qfile-agent.

Package: libqubes-pure0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libqubes-rpc-filecopy2 (<< 4.2.12)
Replaces: libqubes-rpc-filecopy2 (<< 4.2.12)
Description: Qubes file copy protocol library
 Utility library with qubes-specific functions.

Package: libqubes-pure-dev
Architecture: any
Section: libdevel
Depends: libqubes-pure0 (= ${binary:Version}), ${misc:Depends}
Breaks: libqubes-rpc-filecopy-dev (<< 4.2.12)
Replaces: libqubes-rpc-filecopy-dev (<< 4.2.12)
Description: Development headers for libqrexec-utils
 Utility library with qubes-specific functions - headers

Package: python3-qubesimgconverter
Architecture: any
Depends: python3-cairo, python3-pil, python3-numpy, ${misc:Depends}
Breaks: qubes-utils (<< 4.1.9)
Replaces: qubes-utils (<< 4.1.9)
Description: Python package qubesimgconverter
 Python package qubesimgconverter

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DESTDIR=$(shell pwd)/debian/tmp

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with=systemd

override_dh_auto_build:
	make all LIBDIR=/usr/lib DEBIANBUILD=1

override_dh_auto_install:
	make install LIBDIR=/usr/lib DEBIANBUILD=1 PYTHON_PREFIX_ARG=--install-layout=deb
	make install-debian-kernel-support LIBDIR=/usr/lib DEBIANBUILD=1 
	make install-gptfix SBINDIR=/usr/sbin

override_dh_install:
	dh_install --fail-missing

## qubes-utils 4.3.13+deb12u1+devel1

=== debian/changelog ===
qubes-utils (4.3.13+deb12u1+devel1) bookworm; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 01:02:46 +0000

## qubes-utils 4.3.13+deb12u1+devel2

=== debian/changelog ===
qubes-utils (4.3.13+deb12u1+devel2) bookworm; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 02:15:36 +0000

## qubes-utils 4.3.13+deb13u1

=== debian/changelog ===
qubes-utils (4.3.13+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Sat, 11 Oct 2025 05:49:49 +0200

## qubes-utils 4.3.13+deb13u1+devel1

=== debian/changelog ===
qubes-utils (4.3.13+deb13u1+devel1) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 01:05:50 +0000

## qubes-utils 4.3.13+deb13u1+devel2

=== debian/changelog ===
qubes-utils (4.3.13+deb13u1+devel2) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 02:19:17 +0000

## qubes-utils 4.3.14%2Bdeb12u1%2Bdevel4

=== debian/changelog ===
qubes-utils (4.3.14+deb12u1+devel4) bookworm; urgency=medium

  * Test build

 -- Builder <user@localhost>  Wed, 07 Jan 2026 21:00:13 +0000

qubes-utils (4.3.14) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Do not announce ZRAM devices as block device

  [ Marek Marczykowski-Górecki ]
  * Hide disks that other udev rules marked as hidden from udisks

  [ Ali Mirjamali ]
  * Prevent Selinux scriptlet  errors during upgrades

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 23 Dec 2025 11:01:56 +0100

## qubes-utils 4.3.14%2Bdeb12u1%2Bdevel5

=== debian/changelog ===
qubes-utils (4.3.14+deb12u1+devel5) bookworm; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 12 Jan 2026 11:55:47 +0000

## qubes-utils 4.3.14%2Bdeb13u1%2Bdevel4

=== debian/changelog ===
qubes-utils (4.3.14+deb13u1+devel4) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Wed, 07 Jan 2026 21:03:46 +0000

## qubes-utils 4.3.14%2Bjammy1

=== debian/changelog ===
qubes-utils (4.3.14+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Tue, 23 Dec 2025 11:01:56 +0100

## qubes-utils 4.3.14%2Bnoble1

=== debian/changelog ===
qubes-utils (4.3.14+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Tue, 23 Dec 2025 11:01:56 +0100

## qubes-utils 4.3.14+deb12u1+devel3

=== debian/changelog ===
qubes-utils (4.3.14+deb12u1+devel3) bookworm; urgency=medium

  * Test build

 -- Builder <user@localhost>  Tue, 23 Dec 2025 10:03:35 +0000

## qubes-utils 4.3.14+deb13u1+devel3

=== debian/changelog ===
qubes-utils (4.3.14+deb13u1+devel3) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Tue, 23 Dec 2025 10:06:38 +0000

## qubes-utils 4.3.14+deb13u1+devel5

=== debian/changelog ===
qubes-utils (4.3.14+deb13u1+devel5) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 12 Jan 2026 11:59:22 +0000

## qubes-utils 4.3.15%2Bdeb12u1%2Bdevel6

=== debian/changelog ===
qubes-utils (4.3.15+deb12u1+devel6) bookworm; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 12 Jan 2026 12:48:41 +0000

qubes-utils (4.3.15) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * tests: remove last-lba header from gptfixer/layout
  * tests: update gptfixer test expected output

  [ Oleg Drokin ]
  * Do not use full path to gptfix in dracut scripts

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 12 Jan 2026 12:56:55 +0100

## qubes-utils 4.3.15%2Bdeb13u1%2Bdevel6

=== debian/changelog ===
qubes-utils (4.3.15+deb13u1+devel6) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 12 Jan 2026 12:53:21 +0000

## qubes-utils 4.3.15%2Bjammy1

=== debian/changelog ===
qubes-utils (4.3.15+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 12 Jan 2026 12:56:55 +0100
